Upgrade to Skype for Linux version 4.3.0.37

Bug #1280109 reported by shankao on 2014-02-14
242
This bug affects 47 people
Affects Status Importance Assigned to Milestone
skype (Ubuntu)
High
Unassigned

Bug Description

http://blogs.skype.com/2014/06/18/skype-4-3-for-linux/

Changes:

    An updated UI
    Our new cloud-based Group Chat experience
    More reliable file transfer support when using multiple devices at once
    Greater accessibility by blind and visually impaired users
    PulseAudio 3.0 and 4.0 support
    Lot of bug fixes

shankao (shankao) on 2014-02-14
tags: added: upgrade-software-version
Changed in skype (Ubuntu):
status: New → Confirmed
papukaija (papukaija) on 2014-02-15
description: updated
Michael Stucki (mstucki) wrote :

Skype is sending out mails to their users, asking to update their Skype. Using the Canonical "partner" repository, there is nothing to update however.

I'm wondering now, is this repository official or should I remove it and download skype manually instead?

papukaija (papukaija) wrote :

The partner repository is official. However, only a few people from Canonical can update packages in that repository AFAIK.

Gunnar Hjalmarsson (gunnarhj) wrote :

This is a (very) brief IRC conversation I had with Steve Langasek, who maintains the package in the Canonical Partner repo:

http://irclogs.ubuntu.com/2014/01/29/%23ubuntu-devel.html#t22:15

I'm not aware of the underlying reasons behind this restrictive update policy.

Changed in skype (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
summary: - Please, upgrade skype package to version 4.2.0.13
+ Upgrade to Skype for Linux version 4.3.0.37
description: updated
tags: added: precise trusty
Gunnar Hjalmarsson (gunnarhj) wrote :

For testing purposes I installed Skype 4.3.0.37 on Ubuntu 14.04 and encountered a noticeable bug: The "Recent Chats" and "Contact Groups" sub menus do not show up. Did other who tested make the same observation?

If this is a general bug, it's not obvious to me that we want version 4.3.0.37 in the partner repo. Maybe we'd better stick with what we have for the time being.

Hi Gunnar,

I'm on ubuntu 14.04LTS 64 bit, gnome-shell+gdm and I cannot reproduce. For me skype is working normally

(the new 4.3.0.37 I mean)

Gunnar Hjalmarsson (gunnarhj) wrote :

2014-06-20 13:59, LocutusOfBorg skrev:
> I'm on ubuntu 14.04LTS 64 bit, gnome-shell+gdm and I cannot reproduce.
> For me skype 4.3.0.37 is working normally

Ok. I'm on 32 bit; possibly that has something to do with it.

Gunnar Hjalmarsson (gunnarhj) wrote :

I moved away my ~/.Skype folder and started skype with fresh personal settings, and then I couldn't reproduce the problem described in comment #4. So it seems like there is something in my Skype history that is not compatible with version 4.3.

KyL416 (kyl416) wrote :

This should be bumped to urgent, Skype recently did some changes, if you don't have version 4.3 you can't view messages in any chats created by Windows, Mac or mobile users.

I'm also eager to use the latest changes in Skype 4.3. I need it on the Update Manager. Hope Canonical will take care of it ASAP.

There's less interest on depending on a repository if update can not be done. And as said before, it becomes difficult to use the old version as incompatibilities arrise.

papukaija (papukaija) wrote :

Skype has announced in their blog [1] that they will "retire older versions of Skype across all platforms, including mobile devices, in the near future". Could you please update the package in the repository to avoid a broken Skype experience for all Ubuntu users?

[1] http://blogs.skype.com/2014/07/16/update-skype-now-to-improve-your-experience/

Beat (beat-c) wrote :

Can Canonical contact Skype on this please ?

I'm missing conversations on Linux now.

Changed in skype (Ubuntu):
importance: Wishlist → High
tomsam (tomsam) wrote :

Super... Apparently, nothing has been done until now ... and for many users it seems to be too late ...
At least my skype 4.2.xx ceased to work on August 1st, 8pm CEST ... No update available from canonical ...
And no real reactions here.

And even the "new" skype 4.3 from the skype web page didn't work in the beginning, since it produces segmentation violations when reading the old chat history ... Furthermore, video chats are not as good as before (for unknown reasons)

What the heck is going on here? If we support an application, then someone has to take responsibility, and ensure that always a running version is available. Or otherwise state that the application is not supported any more.

Hi Tom, I forwarded to ubuntu-devel-discuss mail list part of your last message.

tags: removed: upgrade-software-version
Marc Deslauriers (mdeslaur) wrote :

Skype 4.3.0.37 is now in the partner archive. Closing this bug.

Changed in skype (Ubuntu):
status: Triaged → Fix Released
Beat (beat-c) wrote :

Thanks a lot whoever did the needed actions, update worked!

tomsam (tomsam) wrote :

Yep, thanks :)

I am on 13.04, 32 bit. Skype 4.3.0.37-1_i386.deb does not work for me. Dependency not satisfiable: 1:bqt4-webkit(>=4:4,6.1)

Just before end of installation I also get acpid:excitig
speech - dispatcher disabled; edit/etc/default/speech-dispatcher
*asking all remaining processes to terminate.......ok

At end of installation an information button appears on the menu on the left of the screen
Incomplete language support
Run action now, i do it, then
Failed to download repository information

Updating and upgrading make no difference

Any tips much appreciated

Gunnar Hjalmarsson (gunnarhj) wrote :

@Steven: Ubuntu 13.04 is EOL and no longer supported. Otherwise I would have suggested you to file a separate bug or ask a question at Ask Ubuntu. Now I can only recommend that you upgrade to 14.04 as soon as possible.

Thanks Gunnar, I did it and it works now. Much appreciated.

FairMiles (fermilesi) wrote :

No Recent Chats here, even when I deleted ~/.Skype folder after upgrade from 4.2 (it did not worked otherwise)

[Ubuntu 12.04LTS 32 bits]

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2014-08-27 21:04, FairMiles wrote:
> No Recent Chats here, even when I deleted ~/.Skype folder after
> upgrade from 4.2 (it did not worked otherwise)

It's probably a bug in the upstream binary. I would suggest that you report it at

http://community.skype.com/t5/Linux/bd-p/Linux

This bug report is closed.

Mark (nanite) wrote :

Just to follow up on this, I noticed a related minor bug - the present 'skype' package does not depend on a particular version for 'skype-bin'. As a result when I did apt-get install skype the software (in skype-bin) remained at version 4.2. I suppose most users will not notice this as they upgrade all packages at once.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2014-09-23 08:25, Mark wrote:
> Just to follow up on this, I noticed a related minor bug - the present
> 'skype' package does not depend on a particular version for 'skype-bin'.

It didn't in the previous skype version either. However, I would not call it a minor bug. Could you please file a separate bug report about it? This report is closed, and your comment won't get proper attention.

Mark (nanite) wrote :

Sure thing, I filed a separate report -- #1372846

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers